import {Injectable} from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {environment} from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class AdminIndexService {

  constructor(
    private http: HttpClient,
    ) {
  }

  /**
   * 按职位类型统计前十职位数量
   * @param callBack
   */
  public getPositionTopTen(callBack) {
    this.http.get(environment.baseUrl + '/statistics/getPositionTopTen').subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 按年龄段统计简历
   * @param callBack
   */
  public findResumeByAge(callBack) {
    this.http.get(environment.baseUrl + '/statistics/findResumeByAge').subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 按学历统计简历
   * @param callBack
   */
  public findResumeByEdu(callBack) {
    this.http.get(environment.baseUrl + '/statistics/findResumeByEdu').subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 按行业统计前十企业数量
   * @param callBack
   */
  public getEnterpriseTopTen(callBack) {
    this.http.get(environment.baseUrl + '/statistics/getEnterpriseTopTen').subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 按照月份统计简历投递数量（当前年份）
   * @param callBack
   */
  public findDeliveryByMonth(callBack) {
    this.http.get(environment.baseUrl + '/statistics/findDeliveryByMonth').subscribe(data => {
      callBack(data);
    });
  }
}
